<h2 class="ion-text-center">
  <ion-text color="dark" *ngIf="id == null">Process a field</ion-text>
</h2>
<ion-grid>
  <ion-row>
    <ion-col>
      <ion-item class="ion-padding-start">
        <ion-label color="light" position="floating">Field</ion-label>
        <ion-select (ionChange)="change('field',$event)" [(ngModel)]="field" okText="Okay" cancelText="Dismiss">
          <ion-select-option *ngFor="let f of fields" value="{{f.id}}">{{f.name}}</ion-select-option>
        </ion-select>
      </ion-item>
    </ion-col>
  </ion-row>
  <ion-row>
    <ion-col>
      <ion-item class="ion-padding-start">
        <ion-label color="light" position="floating">Tractor</ion-label>
        <ion-select [(ngModel)]="tractor" okText="Okay" cancelText="Dismiss">
          <ion-select-option *ngFor="let t of tractors" value="{{t.id}}">{{t.name}}</ion-select-option>
        </ion-select>
      </ion-item>
    </ion-col>
  </ion-row>
  <ion-row>
    <ion-col>
      <ion-item class="ion-padding-start">
        <ion-label position="floating" color="light">Area of field to process (max {{max_area}} acres)</ion-label>
        <ion-input [(ngModel)]="area" type="number" min="0" max="{{max_area}}"></ion-input>
      </ion-item>
    </ion-col>
  </ion-row>
  <ion-row>
    <ion-col>
      <ion-item class="ion-padding-start">
        <ion-label position="floating">Date to process field</ion-label>
        <ion-datetime [(ngModel)]="timestamp" displayFormat="DDDD MMM D, h:mm a" min="2020" max="2022"></ion-datetime>
      </ion-item>
    </ion-col>
  </ion-row>
  <ion-row *ngIf="err != null">
    <ion-col>
      <ion-text color="danger">{{err}}</ion-text>
    </ion-col>
  </ion-row>
  <ion-row>
    <ion-col class="ion-text-center">
      <ion-button id="create-field-button" color="success" (click)="create()">
        <ion-text *ngIf="id == null">Create</ion-text>
        <ion-text *ngIf="id != null">Update</ion-text>
      </ion-button>
    </ion-col>
  </ion-row>
</ion-grid>